## hplip-plugin 3.18.12

=== debian/changelog ===
hplip-plugin (3.18.12) eagle; urgency=medium

  * update 3.18.12

 -- Deepin Packages Builder <zs@deepin.com>  Wed, 06 Nov 2019 10:58:36 +0800

hplip-plugin (3.17.10+repack0-5) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <zs@deepin.com>  Tue, 18 Sep 2018 16:37:48 +0800

hplip-plugin (3.17.6-2deepin) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 Oct 2017 10:25:51 +0800
