=== debian/control ===
Source: hplip-plugin
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: http://hplipopensource.com

Package: hplip-plugin
Architecture: any
Depends: hplip (>= 3.17.6)
Description: Binary plugin for HPs hplip printer driver library
