=== debian/rules ===
#!/usr/bin/make -f

pkgver=3.18.12
ifeq ($(DEB_BUILD_ARCH), amd64)
	_arch = x86_64
endif
ifneq ($(DEB_BUILD_ARCH), amd64)
	_arch = x86_32
endif

%:
	dh $@

override_dh_auto_install:
	sh "hplip-$(pkgver)-plugin.run" --target hplip-plugin --noexec 
	install -d debian/hplip-plugin/usr/share/hplip/data/firmware
	install -d debian/hplip-plugin/usr/share/hplip/fax/plugins
	install -d debian/hplip-plugin/usr/share/hplip/prnt/plugins
	install -d debian/hplip-plugin/usr/share/hplip/scan/plugins
	install -d debian/hplip-plugin/usr/share/licenses/hplip-plugin
	install -d debian/hplip-plugin/var/lib/hp
	
	install -m644 hplip-plugin/plugin.spec debian/hplip-plugin/usr/share/hplip/
	install -m644 hplip-plugin/hp_laserjet_*.fw.gz  debian/hplip-plugin/usr/share/hplip/data/firmware/
	
	install -m755 hplip-plugin/fax_marvell-$(_arch).so  debian/hplip-plugin/usr/share/hplip/fax/plugins/
	install -m755 hplip-plugin/hbpl1-$(_arch).so  debian/hplip-plugin/usr/share/hplip/prnt/plugins/
	install -m755 hplip-plugin/lj-$(_arch).so     debian/hplip-plugin/usr/share/hplip/prnt/plugins/
	install -m755 hplip-plugin/bb_*-$(_arch).so   debian/hplip-plugin/usr/share/hplip/scan/plugins/
	install -m644 hplip-plugin/license.txt        debian/hplip-plugin/usr/share/licenses/hplip-plugin/
	install -m644 hplip.state        debian/hplip-plugin/var/lib/hp/
	sed -i "s/PKGVER/$(pkgver)/" debian/hplip-plugin/var/lib/hp/hplip.state
	find debian/hplip-plugin/usr/share/hplip -type f -name "*.so" |while read f;do \
		lib_dir=`dirname $$f`;\
		lib_name_arch=`basename $$f`;\
		lib_name=`echo $$lib_name_arch|awk -F- '{print $$1".so"}'`;\
		ln -vsf $$lib_name_arch  $$lib_dir/$$lib_name; \
	done

override_dh_auto_clean:
	-rm -r hplip-plugin

override_dh_fixperms:

override_dh_shlibdeps:
