## hplip-plugin 3.21.2+klbkfocal

=== debian/changelog ===
hplip-plugin (3.21.2+klbkfocal) focal; urgency=medium

  * Debuild from hplip-plugin-3.21.2.run.

 -- Gökhan Gökkaya <wirelessanten@gmail.com>  Mon, 22 Feb 2021 01:33:12 +0300

hplip-plugin (3.20.11+lmtrfocal) focal; urgency=medium

  * Debuild from hplip-plugin-3.20.11.run.

 -- Gökhan Gökkaya <wirelessanten@gmail.com>  Sat, 05 Dec 2020 17:35:11 +0300

hplip-plugin (3.20.9+lmtrfocal1) focal; urgency=low

  * Debuild from hplip-plugin-3.20.9.run.

 -- Gökhan Gökkaya <wirelessanten@gmail.com>  Sat, 31 Oct 2020 04:37:58 +0300
