=== debian/control ===
Source: hplip-plugin
Section: libs
Priority: optional
Maintainer: Gökhan Gökkaya <wirelessanten@gmail.com>
Build-Depends: debhelper(>= 9)
Standards-Version: 3.9.8
Homepage: https://developers.hp.com/hp-linux-imaging-and-printing/plugins

Package: hplip-plugin
Architecture: any
Depends: hplip (>= 3.21.2), hplip (<= 3.21.3)
Description: HP Linux Printing and Imaging System (HPLIP) Plugin.
