## hplip-plugin 3.21.8%2Bklbkfocal

=== debian/changelog ===
hplip-plugin (3.21.8+klbkfocal) focal; urgency=medium

  * Debuild from hplip-plugin-3.21.8.run.

 -- Gökhan Gökkaya <wirelessanten@gmail.com>  Tue, 14 Sep 2021 01:04:04 +0300

hplip-plugin (3.21.6+klbkfocal) focal; urgency=medium

  * Debuild from hplip-plugin-3.21.6.run.

 -- Gökhan Gökkaya <wirelessanten@gmail.com>  Sun, 05 Sep 2021 15:43:25 +0300

hplip-plugin (3.21.4+klbkfocal) focal; urgency=medium

  * Debuild from hplip-plugin-3.21.4.run.

 -- Gökhan Gökkaya <wirelessanten@gmail.com>  Sun, 20 Jun 2021 01:24:09 +0300
