=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ##
 
 PKGNAME=hplip-plugin
-PKGVER=3.21.2
+PKGVER=3.21.8
 PKGSOURCE=https://developers.hp.com/sites/default/files/hplip-$(PKGVER)-plugin.run
 
 %:
