## hplip-plugin 3.21.8+klbkfocal

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: hplip-plugin
 Architecture: any
-Depends: hplip (>= 3.21.2), hplip (<= 3.21.3)
+Depends: hplip (>= 3.21.8), hplip (< 3.21.9)
 Description: HP Linux Printing and Imaging System (HPLIP) Plugin.
