## hplip-plugin 3.24.4

=== debian/changelog ===
hplip-plugin (3.24.4) unstable; urgency=medium

  * Debuild from hplip-plugin-3.24.4.run.

 -- lichenggang <lichenggang@deepin.org>  Mon, 08 Dec 2025 14:17:23 +0800
