=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: hplip-plugin
 Architecture: any
-Depends: hplip (>= 3.21.8), hplip (< 3.21.9)
+Depends: hplip (>= 3.24.4)
 Description: HP Linux Printing and Imaging System (HPLIP) Plugin.
